ru.bitel.bgbilling.kernel.contract.balance.common.bean

## Class ContractBalance

- java.lang.Object
- - ru.bitel.bgbilling.kernel.contract.balance.common.bean.ContractBalance

-     public class ContractBalance
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractBalance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `getAccounts()`
    `java.math.BigDecimal` | `getCharges()`
    `java.math.BigDecimal` | `getIncomingSaldo()`
    `int` | `getMonth()` 1-Январь..12-Декабрь
    `java.math.BigDecimal` | `getPayments()`
    `java.math.BigDecimal` | `getReserve()`
    `long` | `getTimestamp()`
    `int` | `getYear()`
    `void` | `setAccounts(java.math.BigDecimal accounts)`
    `void` | `setCharges(java.math.BigDecimal charges)`
    `void` | `setIncomingSaldo(java.math.BigDecimal incomingSaldo)`
    `void` | `setMonth(int month)` 1-Январь..12-Декабрь
    `void` | `setPayments(java.math.BigDecimal payments)`
    `void` | `setReserve(java.math.BigDecimal reserve)`
    `void` | `setTimestamp(long timestamp)`
    `void` | `setYear(int year)`
    `java.math.BigDecimal` | `toBalance()`
    `java.math.BigDecimal` | `toBalanceWithoutReserves()`
    `java.math.BigDecimal` | `toSaldo()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractBalance

          public ContractBalance()

  - ### Method Detail

    - #### getYear

          public int getYear()

    - #### setYear

          public void setYear(int year)

    - #### getMonth

          public int getMonth()

      1-Январь..12-Декабрь

    - #### setMonth

          public void setMonth(int month)

      1-Январь..12-Декабрь

    - #### getIncomingSaldo

          public java.math.BigDecimal getIncomingSaldo()

    - #### setIncomingSaldo

          public void setIncomingSaldo(java.math.BigDecimal incomingSaldo)

    - #### getAccounts

          public java.math.BigDecimal getAccounts()

    - #### setAccounts

          public void setAccounts(java.math.BigDecimal accounts)

    - #### getPayments

          public java.math.BigDecimal getPayments()

    - #### setPayments

          public void setPayments(java.math.BigDecimal payments)

    - #### getCharges

          public java.math.BigDecimal getCharges()

    - #### setCharges

          public void setCharges(java.math.BigDecimal charges)

    - #### getReserve

          public java.math.BigDecimal getReserve()

    - #### setReserve

          public void setReserve(java.math.BigDecimal reserve)

    - #### getTimestamp

          public long getTimestamp()

    - #### setTimestamp

          public void setTimestamp(long timestamp)

    - #### toSaldo

          public java.math.BigDecimal toSaldo()

    - #### toBalance

          public java.math.BigDecimal toBalance()

    - #### toBalanceWithoutReserves

          public java.math.BigDecimal toBalanceWithoutReserves()

      Returns:
        баланс без учета резервов.